Bug 1749400 - Cannot install update of python3-unbound 1.9-3-1
Summary: Cannot install update of python3-unbound 1.9-3-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: unbound
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 14:23 UTC by Heldwin
Modified: 2019-10-26 17:23 UTC (History)
3 users (show)

Fixed In Version: unbound-1.9.3-2.fc30 unbound-1.9.3-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-30 01:00:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Heldwin 2019-09-05 14:23:16 UTC
Description of problem:
Cannot install the update for python3-unbound, because of it cannot find python2-unbound 1.9.3-1

Version-Release number of selected component (if applicable):
python2-unbound-1.8.3-4.fc30.x86_64
python3-unbound-1.9.3-1.fc30.x86_64
unbound-libs-1.8.3-4.fc30.x86_64
unbound-libs-1.9.3-1.fc30.x86_64


Actual results:

 Problem 1: package python2-unbound-1.8.3-4.fc30.x86_64 requires unbound-libs(x86-64) = 1.8.3-4.fc30, but none of the providers can be installed
  - cannot install both unbound-libs-1.9.3-1.fc30.x86_64 and unbound-libs-1.8.3-4.fc30.x86_64
  - cannot install both unbound-libs-1.8.3-4.fc30.x86_64 and unbound-libs-1.9.3-1.fc30.x86_64
  - cannot install the best update candidate for package unbound-libs-1.8.3-4.fc30.x86_64
  - cannot install the best update candidate for package python2-unbound-1.8.3-4.fc30.x86_64

 Problem 2: problem with installed package python2-unbound-1.8.3-4.fc30.x86_64
  - package python2-unbound-1.8.3-4.fc30.x86_64 requires unbound-libs(x86-64) = 1.8.3-4.fc30, but none of the providers can be installed
  - cannot install both unbound-libs-1.9.3-1.fc30.x86_64 and unbound-libs-1.8.3-4.fc30.x86_64
  - cannot install both unbound-libs-1.8.3-4.fc30.x86_64 and unbound-libs-1.9.3-1.fc30.x86_64
  - package python3-unbound-1.9.3-1.fc30.x86_64 requires unbound-libs(x86-64) = 1.9.3-1.fc30, but none of the providers can be installed
  - cannot install the best update candidate for package python3-unbound-1.8.3-4.fc30.x86_64


Expected results:
that it can update the package

Additional info:
Removing python2-unbound before upgrade, corrects it (my system doesn't seem to need it)

Comment 1 Petr Menšík 2019-09-13 15:24:31 UTC
Hmm, not sure this is unbound bug.

dnf repoquery --repo=fedora --repo=updates --releasever=30 --whatrequires python2-unbound
hash-slinger-0:2.7-8.fc29.noarch
openpgpkey-milter-0:0.5-7.fc29.noarch

Fedora 30 no longer provides python2-unbound package. It should be fine, since no package requires it. However, that packages are still built on f29, where it is still available.

I doubt we should make Obsoletes: python2-unbound in package. Any person relying on that version should be warned. The same if python2-unbound was installed manually. Since we no longer provide it, user has to make decision to remove python2-unbound. python3-unbound is not replacement that would just work.

I think we could add Conflicts: python2-unbound into version that does not provide it. Would be more obvious user has to choose. But he or she has to choose anyway, we do not know what code is used.

Comment 2 Fedora Update System 2019-09-26 23:11:54 UTC
FEDORA-2019-dd22d26066 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dd22d26066

Comment 3 Petr Menšík 2019-09-26 23:22:29 UTC
Ok, after reading reactions in bodhi update, changed my mind. Upgrade is annoying, error message is not easy to decipher what is required.

Since python2 had mass change to remove python2 things from updates, I think users should no longer rely on python2 in their scripts. I assume smooth upgrade is more important than missing dependency on (possible) local scripts.

Comment 4 Fedora Update System 2019-09-27 02:19:08 UTC
unbound-1.9.3-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-dd22d26066

Comment 5 Fedora Update System 2019-09-30 01:00:25 UTC
unbound-1.9.3-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-10-07 15:15:56 UTC
FEDORA-2019-c7f461cf08 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c7f461cf08

Comment 7 Fedora Update System 2019-10-08 21:42:08 UTC
unbound-1.9.3-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c7f461cf08

Comment 8 Fedora Update System 2019-10-26 17:23:02 UTC
unbound-1.9.3-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.